> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/describebandwidthclusters.md).

# DescribeBandwidthClusters

## 1. 接口描述

本接口(DescribeBandwidthClusters)用于查询一个或多个共享带宽包的信息。用户可以根据共享带宽包ID、名称或者城市名称等条件来查询共享带宽包的详细信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                 | 必选 | 类型                                                                     | 描述                                               |
| -------------------- | -- | ---------------------------------------------------------------------- | ------------------------------------------------ |
| bandwidthClusterIds  | 否  | Array of String                                                        | <p>共享带宽包ID。</p><p>最多支持100个ID查询。</p>              |
| bandwidthClusterName | 否  | String                                                                 | <p>共享带宽包显示名称。</p><p>支持模糊匹配。</p>                  |
| cityName             | 否  | String                                                                 | 共享带宽包所包含的城市名称。                                   |
| pageNum              | 否  | Integer                                                                | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p><p>默认值：1</p> |
| pageSize             | 否  | Integer                                                                | 返回的分页数。                                          |
| resourceGroupId      | 否  | String                                                                 | 根据资源组ID过滤。                                       |
| tagKeys              | 否  | Array of String                                                        | <p>根据标签键进行搜索。</p><p>最长不得超过20个标签键。</p>            |
| tags                 | 否  | Array of [Tag](/api-reference/cn/compute/traffic/datastructure.md#tag) | <p>根据标签进行搜索。</p><p>最长不得超过20个标签。</p>              |

## 3. 响应结果

| 参数名称       | 类型                                                                                                       | 描述                                                       |
| ---------- | -------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                                                   | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                                  | 符合条件的数据总数。                                               |
| dataSet    | Array of [BandwidthClusterInfo](/api-reference/cn/compute/traffic/datastructure.md#bandwidthclusterinfo) | 共享带宽包结果集。                                                |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 分页查询共享带宽包列表**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBandwidthClusters
<Common Request Params>

Request：
{
  "pageNum": 1,
  "pageSize": 1
}

Response：
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 1,
    "dataSet": [
      {
        "bandwidthClusterId": "bandwidthClusterId",
        "bandwidthClusterName": "Frankfurt",
        "location": "Frankfurt",
        "createTime": "2024-01-01T00:00:00Z"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/describebandwidthclusters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
